/**
 * Recarga el datatable
 * @param e
 * @param dt
 * @param node
 * @param config
 */
function reloadAction(e, dt, node, config){
    dt.ajax.reload();
}
/**
 * Edita la atencion medica
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function editAction(elem,config,row,dt){
    {#location.href = config.route;#}
    var path = "{{ path('hcue_amed_atencion_edit') }}";
    $.openWindowWithPost(path, '', '', '', '', config.parameters);
}
/**
 * Imprime el formulario de la atencion
 * @param elem
 * @param config
 * @param row
 * @param dt
 */
function printAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_amed_atencion_imprimir/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}
/**
 * Imprime la receta por atencion
 * @param elem
 * @param config
 * @param row
 * @param dt
 * @param config.parameters.id
 */
function printrecetaAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_receta_receta_print/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}

/**
 * Imprime la solicitud de laboratorio por atencion
 * @param elem
 * @param config
 * @param row
 * @param dt
 * @param config.parameters.id
 */
function printlaboratorioAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_orden_medica_laboratorio_print/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}

/**
 * Imprime la solicitud de imagenologia por atencion
 * @param elem
 * @param config
 * @param row
 * @param dt
 * @param config.parameters.id
 */
function printimagenologiaAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_orden_medica_imagenologia_print/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}

/**
 * Imprime la solicitud de histopatologia por atencion
 * @param elem
 * @param config
 * @param row
 * @param dt
 * @param config.parameters.id
 */
function printhistopatologiaAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_orden_medica_histopatologia_print/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}

/**
 * Imprime la solicitud de interconsulta
 * @param elem
 * @param config
 * @param row
 * @param dt
 * @param config.parameters.id
 */
function printinterconsultaAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_orden_medica_interconsulta_imprimir/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}

/**
 * Imprime la solicitud de interconsulta
 * @param elem
 * @param config
 * @param row
 * @param dt
 * @param config.parameters.id
 */
function printtratamientonofAction(elem,config,row,dt){
    $.loadModalViewer({
        url: '{{path('core_gui_objectview_viewer')}}/hcue_amed_tratamientonofarm_print/'+config.parameters.id,
        title:'Visualizar archivo',
        width: '90%'
    });
}

